slepc-3.21.1 2024-04-26
Report Typos and Errors

# STApply

Applies the spectral transformation operator to a vector, for instance (A - sB)^-1 B in the case of the shift-and-invert transformation and generalized eigenproblem.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STApply(ST st,Vec x,Vec y)

Collective

### Input Parameters

| st | - the spectral transformation context
| x | - input vector

### Output Parameter

| y | - output vector

### See Also

STApplyTranspose(), STApplyHermitianTranspose()

### Level

developer

### Location

src/sys/classes/st/interface/stsolve.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages